
%define aurox_ver 10.2
%define rel 1

# $Id: kdeaccessibility.spec,v 1.17 2004/06/04 20:40:10 rexdieter Exp $

%define kdelibs_ver 6:%{version}

%define is_release 1

Summary: Summary: KDE accessibility tools
Name:    kdeaccessibility
Group:   User Interface/Desktops 
Epoch:	 1 
Version: 3.3.2
Release: %{aurox_ver}.aur.%{rel}
Source: http://download.kde.org/stable/3.3.2/src/kdeaccessibility-3.3.2.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: kdelibs-devel >= %{kdelibs_ver}
Requires: kdelibs >= %{kdelibs_ver}

%description
The KDE Accessibility Project is a small on-line community of developers 
and other volunteers dedicated to make our favourite desktop accessible 
to all users, including those of us with physical handicaps. 

We are currently working on releasing new versions of the KDE 
Accessibility Aids in a united kdeaccessibility package. It will contain:

   * kmag           - a screen magnifier
   * kmousetool     - a program for people whom it hurts to click the 
                      mouse
   * KMouth         - a program that allows people who have lost their 
                      voice to let their computer speak for them.
   * kttsd, Proklam - the KDE text-to-speech daemon


%prep
%setup -q 

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd


%files 
%defattr(-,root,root)
%doc kmag/README kmag/TODO kmag/AUTHORS kmag/ChangeLog
%lang(en) %doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_datadir}/applnk/Applications/*
%{_datadir}/apps/*
%config(noreplace) %{_datadir}/config/*
%{_datadir}/icons/*/*/*/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Feb 14 2005 Aurox Team <aurox@aurox.org> 1:3.3.2-10.2.aur.1


* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.0.kde
- 3.2.92

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.3-1.0.kde
- 3.2.3

* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-1.0.kde
- FC2

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.1-0.fdr.0
- 3.2.1

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 1:3.1.95-0.fdr.0
- 3.1.95

* Mon Dec 15 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.94-0.fdr.0
- 3.1.94

* Thu Sep 09 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.0-0.fdr.0
- fedora'ize

* Tue Mar 25 2003 Rex Dieter <rexdieter at sf.net> 1.0.0-0.0
- 1.0.0, first try.

